class C {
    private int count;
    public C() {
    }

    public C(C orig) {
	count = orig.count;
    }

    int length() {
	return this.count;
    }
    public static void main(String[] args) {
        new C().length();
	new C(new C()).length();
	C x = mix(new C());
	C y = mix(null);
	y.length();
    }

    static C mix(C c) { return c; }
}